import { Controller, Get, Query } from '@nestjs/common';
import { GeonameQuery } from './geonames.interfaces';
import { GeonamesService } from './geonames.service';

@Controller({
  path: 'geonames',
})
export class GeonamesController {
  constructor(private readonly service: GeonamesService) {}

  @Get()
  async search(@Query() query: GeonameQuery) {
    return this.service.search(query);
  }
}
