import { Geoname } from './geonames.entity';

export interface WorkDirectory {
  path: string;
  remove(): Promise<void>;
}

export type GeonameQuery = Record<keyof Geoname, unknown> & {
  fields?: (keyof Geoname)[];
  limit?: string;
  offset?: string;
  q?: string;
};
